Classes | Macros | Variables
tokenhash.h File Reference

Go to the source code of this file.

## Classes
struct | xmltoken
class | Perfect_Hash

## Macros
#define | TOTAL_KEYWORDS 259
#define | MIN_WORD_LENGTH 1
#define | MAX_WORD_LENGTH 31
#define | MIN_HASH_VALUE 27
#define | MAX_HASH_VALUE 474
#define | TOTAL_KEYWORDS 259
#define | MIN_WORD_LENGTH 1
#define | MAX_WORD_LENGTH 31
#define | MIN_HASH_VALUE 27
#define | MAX_HASH_VALUE 474

## Variables
static const struct xmltoken | wordlist []

## Macro Definition Documentation

## § MAX_HASH_VALUE [1/2]

#define MAX_HASH_VALUE 474

## § MAX_HASH_VALUE [2/2]

#define MAX_HASH_VALUE 474

## § MAX_WORD_LENGTH [1/2]

#define MAX_WORD_LENGTH 31

## § MAX_WORD_LENGTH [2/2]

#define MAX_WORD_LENGTH 31

## § MIN_HASH_VALUE [1/2]

#define MIN_HASH_VALUE 27

## § MIN_HASH_VALUE [2/2]

#define MIN_HASH_VALUE 27

## § MIN_WORD_LENGTH [1/2]

#define MIN_WORD_LENGTH 1

## § MIN_WORD_LENGTH [2/2]

#define MIN_WORD_LENGTH 1

Referenced by Perfect_Hash::in_word_set().

## § TOTAL_KEYWORDS [1/2]

#define TOTAL_KEYWORDS 259

## § TOTAL_KEYWORDS [2/2]

#define TOTAL_KEYWORDS 259

## Variable Documentation

## § wordlist

const struct xmltoken wordlist[]
| static